Get span charts, operations and filter choices
GET
https://example.com
/
api
/
traces
/
explore
/
overview
Get span charts, operations and filter choices
curl --request GET \
--url https://example.com/api/traces/explore/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/traces/explore/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/traces/explore/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/traces/explore/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"buckets": [
{
"errors": 123,
"keyMs": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"spans": 123
}
],
"facets": {
"services": [
"<string>"
]
},
"operations": [
{
"errors": 123,
"operation": "<string>",
"p50": 123,
"p95": 123,
"p99": 123,
"ratePerSec": 123,
"services": [
"<string>"
],
"spans": 123,
"spark": [
123
]
}
],
"operationsTruncated": true,
"summary": {
"errors": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"spans": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}Authorizations
personalBearercookieAuth
Query API key (personal or service account)
Query Parameters
Unix timestamp in seconds
Required range:
x >= 0Unix timestamp in seconds
Required range:
x >= 0Required string length:
1 - 200Required string length:
1 - 500Required range:
x >= 0Required range:
x >= 1Available options:
all, error, ok Maximum string length:
2000Pattern:
^[1-9]\d*[smhd]$⌘I
Get span charts, operations and filter choices
curl --request GET \
--url https://example.com/api/traces/explore/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/traces/explore/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://example.com/api/traces/explore/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://example.com/api/traces/explore/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"buckets": [
{
"errors": 123,
"keyMs": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"spans": 123
}
],
"facets": {
"services": [
"<string>"
]
},
"operations": [
{
"errors": 123,
"operation": "<string>",
"p50": 123,
"p95": 123,
"p99": 123,
"ratePerSec": 123,
"services": [
"<string>"
],
"spans": 123,
"spark": [
123
]
}
],
"operationsTruncated": true,
"summary": {
"errors": 123,
"p50": 123,
"p95": 123,
"p99": 123,
"spans": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"statusCode": 123,
"details": [
{
"message": "<string>",
"path": "<string>"
}
]
}
}
